diff -urN ../old/README.NeXT ./README.NeXT
--- ../old/README.NeXT	Wed Dec 31 18:00:00 1969
+++ ./README.NeXT	Mon Dec  8 17:24:20 1997
@@ -0,0 +1,27 @@
+11-19-1997 (year 2000 compliant hehe):
+
+Before you go any further, consult the original documentation.
+
+I managed to compile this on OPENSTEP 4.2.
+	All warnings have been squashed.
+
+Make the following changes to the Makefile
+    1)  change CC to cc instead of gcc 
+        (unless you have gcc installed and want to use it)
+	2)  remove -fomit-frame-pointer from CFLAGS, it appears
+		something in OPENSTEP doesn't like it.
+	3)  remove -s from LDFLAGS.
+	4)	either install GNU install or change the installation
+		targets to remove the install command to create the directories
+		and manually create the directories.
+
+Under NEXTSTEP 3.x, steps 2 and 3 can be omitted and it should theoretically
+	compile.
+
+Double check the path variables at the beginning of the Makefile
+
+This is currently compiled for Intel only.
+
+If there are any problems, let me know.
+
+Andy Wang <awang@plains.nodak.edu>
diff -urN ../old/file ./file
--- ../old/file	Wed Dec 31 18:00:00 1969
+++ ./file	Mon Dec  8 17:24:31 1997
@@ -0,0 +1,31 @@
+diff -urN ../old/README.NeXT ./README.NeXT
+--- ../old/README.NeXT	Wed Dec 31 18:00:00 1969
++++ ./README.NeXT	Mon Dec  8 17:24:20 1997
+@@ -0,0 +1,27 @@
++11-19-1997 (year 2000 compliant hehe):
++
++Before you go any further, consult the original documentation.
++
++I managed to compile this on OPENSTEP 4.2.
++	All warnings have been squashed.
++
++Make the following changes to the Makefile
++    1)  change CC to cc instead of gcc 
++        (unless you have gcc installed and want to use it)
++	2)  remove -fomit-frame-pointer from CFLAGS, it appears
++		something in OPENSTEP doesn't like it.
++	3)  remove -s from LDFLAGS.
++	4)	either install GNU install or change the installation
++		targets to remove the install command to create the directories
++		and manually create the directories.
++
++Under NEXTSTEP 3.x, steps 2 and 3 can be omitted and it should theoretically
++	compile.
++
++Double check the path variables at the beginning of the Makefile
++
++This is currently compiled for Intel only.
++
++If there are any problems, let me know.
++
++Andy Wang <awang@plains.nodak.edu>
diff -urN ../old/fortune/fortune.c ./fortune/fortune.c
--- ../old/fortune/fortune.c	Thu Aug 28 14:43:52 1997
+++ ./fortune/fortune.c	Mon Dec  8 17:24:20 1997
@@ -107,6 +107,12 @@
 #include	<stdlib.h>
 #include	<string.h>
 
+#ifdef NeXT
+	#include	<libc.h>
+	#include	<sys/dir.h>
+	#define	strdup	NXCopyStringBuffer
+#endif
+
 /* This makes GNU libc to prototype the BSD regex functions */
 #ifdef BSD_REGEX
 #define	_REGEX_RE_COMP
@@ -124,8 +130,10 @@
 
 #include	"strfile.h"
 
-#define	TRUE	1
-#define	FALSE	0
+#ifndef NeXT
+	#define	TRUE	1
+	#define	FALSE	0
+#endif
 #define	bool	short
 
 #define	MINW	6		/* minimum wait if desired */
@@ -589,7 +597,11 @@
 int add_dir(register FILEDESC * fp)
 {
     register DIR *dir;
+#ifdef NeXT
+	register struct direct *dirent;
+#else
     register struct dirent *dirent;
+#endif
     auto FILEDESC *tailp;
     auto char *name;
 
diff -urN ../old/util/strfile.c ./util/strfile.c
--- ../old/util/strfile.c	Wed Apr 30 23:24:01 1997
+++ ./util/strfile.c	Mon Dec  8 17:24:20 1997
@@ -72,6 +72,9 @@
  *I haven't the faintest flipping idea what all that is, so kill the warnings 
  */
 
+#ifdef NeXT
+	#include	<libc.h>
+#endif
 #include	<stdlib.h>
 #include	<unistd.h>
 #include	<netinet/in.h>
@@ -114,8 +117,10 @@
  * 
  */
 
-#define	TRUE	1
-#define	FALSE	0
+#ifndef NeXT
+	#define	TRUE	1
+	#define	FALSE	0
+#endif
 
 #define	STORING_PTRS	(Oflag || Rflag)
 #define	CHUNKSIZE	512
diff -urN ../old/util/unstr.c ./util/unstr.c
--- ../old/util/unstr.c	Fri Apr 18 01:27:01 1997
+++ ./util/unstr.c	Mon Dec  8 17:24:21 1997
@@ -88,6 +88,9 @@
  * get a fortune that contains nothing but a newline.  Karo syrup, syrup.
  * For the gory details, and lots of cussing, see strfile.c
  */
+#ifdef NeXT
+	#include	<libc.h>
+#endif
 #include	<sys/types.h>
 #include	<netinet/in.h>
 #include	<sys/param.h>
